Bug 122963 - error message "setlocale failed" when starting
error message "setlocale failed" when starting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-10 15:04 EDT by Thomas Antony
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-29 10:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Antony 2004-05-10 15:04:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040506

Description of problem:
I have setup one VG with 6 LV's. I get following error message at boot
time:

Setting up Logical Volume Management:    [OK]
setlocale failed
Activating swap:                         [OK]
...
Setting up Logical Volume Management:    [OK]
setlocale failed
6 logical volume(s) in volume group "VG1" now active
...

This will not be noted in any log files. It just appears on the screen.

Version-Release number of selected component (if applicable):
lvm2-2.00.15-2

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Alasdair Kergon 2004-05-26 12:26:13 EDT
What locale settings are you using, and are the appropriate locale
files installed?

The code producing this is:

        if (!setlocale(LC_ALL, ""))
                log_error("setlocale failed");
 
From the setlocale() man page:

       If locale is "", each part of the locale  that  should  be
modified  is  set  according to the environment variables.

... the environment variable LC_ALL is inspected, next the 
environment  variable  with the  same  name  as  the  category 
(LC_COLLATE, LC_CTYPE, LC_MESSAGES, LC_MONETARY, LC_NUMERIC, LC_TIME)
and finally the  environment  variable LANG.  The first existing envi
      ronment variable is used.  If its value  is  not  a  valid
locale  specification, the locale is unchanged, and setlocale returns
NULL.
Comment 2 Thomas Antony 2004-05-28 07:46:22 EDT
From the installer i choose german.

LANG="de_DE.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en:de_AT.UTF-8:de_AT:de:de_DE.UTF-8:de_DE:de"
SYSFONT="latarcyrheb-sun16"


LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=
Comment 3 James Cook 2004-06-09 17:11:55 EDT
This issue is still present in the final release of the OS.  I did a
minimal install on a clean machine - accepting all default languages
(english).
Comment 4 Alasdair Kergon 2004-06-09 17:33:08 EDT
The message is completely harmless.

Could it be that the locale files it's looking for aren't mounted at
that stage of the boot process?

To see what's going on, you'd need to stick 'strace' in front of the
vgscan, capture the resulting trace output, and examine the first part
of it, as far as that error message.  That would show what files
setlocale() is searching for and where.
Comment 5 Alasdair Kergon 2004-06-29 10:22:53 EDT
I assume that's the problem, so I've suppressed the setlocale error
message in 2.00.19-1.

Note You need to log in before you can comment on or make changes to this bug.